<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.61</b></p>
<ul class="maxwidth">';
$ouverture = opendir("./js/");
$lecture = readdir($ouverture);
@unlink ("./js/jquery.ui.datepicker-fr.js");
closedir($ouverture);
echo '<li>Suppression d\'un fichier obsolète de choix de dates js/jquery.ui.datepicker-fr.js</li>';

$repertoire = './include/datepicker/';

if (file_exists($repertoire)) {
    $elements = scandir($repertoire);

    foreach ($elements as $element) {
        if ($element !== '.' && $element !== '..') {
            $chemin = $repertoire . DIRECTORY_SEPARATOR . $element;

            if (is_dir($chemin)) {
                // Suppression récursive des sous-dossiers
                $sous_elements = scandir($chemin);
                foreach ($sous_elements as $sous) {
                    if ($sous !== '.' && $sous !== '..') {
                        $sous_chemin = $chemin . DIRECTORY_SEPARATOR . $sous;
                        unlink($sous_chemin); // Suppression des fichiers dans le sous-dossier
                    }
                }
                rmdir($chemin); // Suppression du sous-dossier vide
            } else {
                unlink($chemin); // Suppression du fichier
            }
        }
    }
    rmdir($repertoire); // Suppression du dossier une fois vide
}
echo '<li>Suppression d\'un dossier obsolète pour choix de dates include/datepicker/</li>';

// Option de blocage possible de la réservation sur un délai avant le créneau (en minutes - 0 par défaut)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_minutesmax'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_res_minutesmax', '0', 'Option de blocage possible de la réservation sur un délai avant le créneau')");
}
echo '<li>Option de blocage possible de la réservation sur un délai avant le créneau (en minutes - 0 par défaut).</li>';

// Option pour ne permettre qu\'un nombre limité de réservations dans la journée (désactivée par défaut)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_nbmaxday'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_res_nbmaxday', '0', 'Option pour ne permettre qu\'un nombre limité de réservations dans la journée')");
}
echo '<li>Option pour ne permettre qu\'un nombre limité de réservations dans la journée (désactivée par défaut).</li>';

// Option pour permettre à l\'élève de voir les réservations archivées (désactivée par défaut)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_archives'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_res_archives', '0', 'Option pour permettre à l\'élève de voir les réservations archivées')");
}
echo '<li>Option pour permettre à l\'élève de voir les réservations archivées (désactivée par défaut).</li>';

// Option pour permettre à l\'élève de voir la gestion de documents (désactivée par défaut)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_visusigb'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_res_visusigb', '0', 'Option pour permettre à l\'élève de voir la gestion de documents')");
}
echo '<li>Option pour permettre à l\'élève de voir la gestion de documents (désactivée par défaut).</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.61' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.61.</li></ul>';